Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/test.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/test.cpp	(revision 15)
@@ -9,13 +9,13 @@
 #define NB_ITERATION 512
 
-#include "Behavioural/Generic/Select/Priority_Fixed/SelfTest/include/test.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/include/test.h"
 #include "Include/Test.h"
 
 void test (string name,
-	   morpheo::behavioural::generic::select::priority_fixed::Parameters _param)
+	   morpheo::behavioural::generic::select::select_priority_fixed::Parameters _param)
 {
   cout << "<" << name << "> : Simulation SystemC" << endl;
 
-  Priority_Fixed * _Priority_Fixed = new Priority_Fixed (name.c_str(),
+  Select_Priority_Fixed * _Select_Priority_Fixed = new Select_Priority_Fixed (name.c_str(),
 #ifdef STATISTICS
 					     morpheo::behavioural::Parameters_Statistics(5,50),
@@ -28,4 +28,5 @@
    *********************************************************************/
   sc_clock                         * CLOCK ;
+  sc_signal<Tcontrol_t>            * NRESET;
   sc_signal<Tcontrol_t>           ** VAL   ;
   sc_signal<Tcontrol_t>           ** ACK   ;
@@ -36,4 +37,5 @@
 
   CLOCK        = new sc_clock ("clock", 1.0, 0.5);
+  NRESET       = new sc_signal<Tcontrol_t> ("NRESET");
   VAL          = new sc_signal<Tcontrol_t> * [_param._nb_entity];
   ACK          = new sc_signal<Tcontrol_t> * [_param._nb_entity];
@@ -54,17 +56,19 @@
    ********************************************************/
   
-  cout << "<" << name << "> Instanciation of _Priority_Fixed" << endl;
+  cout << "<" << name << "> Instanciation of _Select_Priority_Fixed" << endl;
   
-  (*(_Priority_Fixed->in_CLOCK))        (*(CLOCK));
+  (*(_Select_Priority_Fixed->in_CLOCK ))       (*(CLOCK ));
+  (*(_Select_Priority_Fixed->in_NRESET))       (*(NRESET));
+
     for (uint32_t i=0; i<_param._nb_entity; i++)
       {
-	(*(_Priority_Fixed-> in_VAL [i]))        (*(VAL [i]));
+	(*(_Select_Priority_Fixed-> in_VAL [i]))        (*(VAL [i]));
 	if (_param._encoding_one_hot)
-	(*(_Priority_Fixed->out_ACK [i]))        (*(ACK [i]));
+	(*(_Select_Priority_Fixed->out_ACK [i]))        (*(ACK [i]));
       }
     if (_param._encoding_compact)
       {
-    (*(_Priority_Fixed->out_ENTITY    ))        (*(ENTITY    ));
-    (*(_Priority_Fixed->out_ENTITY_ACK))        (*(ENTITY_ACK));
+    (*(_Select_Priority_Fixed->out_ENTITY    ))        (*(ENTITY    ));
+    (*(_Select_Priority_Fixed->out_ENTITY_ACK))        (*(ENTITY_ACK));
       }
   /********************************************************
@@ -86,13 +90,13 @@
  
   sc_start(0);
-//_Priority_Fixed->vhdl_testbench_label("Initialisation");
+//_Select_Priority_Fixed->vhdl_testbench_label("Initialisation");
 //cout << "{"+toString(static_cast<uint32_t>(sc_simulation_time()))+"} Initialisation" << endl;
 
-  _Priority_Fixed->vhdl_testbench_label("Loop of Test");
+  _Select_Priority_Fixed->vhdl_testbench_label("Loop of Test");
   cout << "{"+toString(static_cast<uint32_t>(sc_simulation_time()))+"} Loop of Test" << endl;
 
   for (uint32_t iteration=0; iteration<NB_ITERATION; iteration ++)
     {
-      _Priority_Fixed->vhdl_testbench_label("Iteration "+toString(iteration));
+      _Select_Priority_Fixed->vhdl_testbench_label("Iteration "+toString(iteration));
 
       entity    = 0;
@@ -133,10 +137,19 @@
   cout << "<" << name << "> ............ Stop Simulation" << endl;
 
+  delete CLOCK;
+  delete NRESET;
 
-
-  delete CLOCK;
-
+  for (uint32_t i=0; i<_param._nb_entity; i++)
+    {
+      delete VAL [i];
+      delete ACK [i];
+    }
+  
+  delete VAL       ;
+  delete ACK       ;
+  delete ENTITY    ;
+  delete ENTITY_ACK;
 #endif
 
-  delete _Priority_Fixed;
+  delete _Select_Priority_Fixed;
 }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h	(revision 15)
@@ -1,4 +1,4 @@
-#ifndef morpheo_behavioural_generic_select_priority_fixed_Parameters_h
-#define morpheo_behavioural_generic_select_priority_fixed_Parameters_h
+#ifndef morpheo_behavioural_generic_select_select_priority_fixed_Parameters_h
+#define morpheo_behavioural_generic_select_select_priority_fixed_Parameters_h
 
 /*
@@ -17,5 +17,5 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
   class Parameters : public morpheo::behavioural::Parameters
@@ -38,8 +38,8 @@
   public :        string   print      (uint32_t depth);
   public : friend ostream& operator<< (ostream& output_stream,
-				       morpheo::behavioural::generic::select::priority_fixed::Parameters & x);
+				       morpheo::behavioural::generic::select::select_priority_fixed::Parameters & x);
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h	(revision 15)
@@ -1,4 +1,4 @@
-#ifndef morpheo_behavioural_generic_select_priority_fixed_Priority_Fixed_h
-#define morpheo_behavioural_generic_select_priority_fixed_Priority_Fixed_h
+#ifndef morpheo_behavioural_generic_select_select_priority_fixed_Select_Priority_Fixed_h
+#define morpheo_behavioural_generic_select_select_priority_fixed_Select_Priority_Fixed_h
 
 /*
@@ -17,8 +17,8 @@
 #include "Include/Debug.h"
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Parameters.h"
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Types.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Types.h"
 #ifdef STATISTICS
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Statistics.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h"
 #endif
 #ifdef VHDL
@@ -35,8 +35,8 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  class Priority_Fixed 
+  class Select_Priority_Fixed 
 #if SYSTEMC
     : public sc_module
@@ -65,4 +65,6 @@
 
   public    : SC_CLOCK                      *  in_CLOCK        ;
+  public    : SC_IN (Tcontrol_t)            *  in_NRESET       ;
+
   public    : SC_IN (Tcontrol_t)           **  in_VAL          ;
   public    : SC_OUT(Tcontrol_t)           ** out_ACK          ;
@@ -80,7 +82,7 @@
 
 #ifdef SYSTEMC
-    SC_HAS_PROCESS (Priority_Fixed);
+    SC_HAS_PROCESS (Select_Priority_Fixed);
 #endif
-  public  :          Priority_Fixed              (
+  public  :          Select_Priority_Fixed              (
 #ifdef SYSTEMC
 					      sc_module_name                              name,
@@ -93,6 +95,6 @@
 					      Parameters                                  param );
 					       
-  public  :          Priority_Fixed              (Parameters param );
-  public  :          ~Priority_Fixed             (void);
+  public  :          Select_Priority_Fixed              (Parameters param );
+  public  :          ~Select_Priority_Fixed             (void);
 					       
 #ifdef SYSTEMC				       
@@ -122,5 +124,5 @@
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h	(revision 15)
@@ -1,5 +1,5 @@
 #ifdef STATISTICS
-#ifndef morpheo_behavioural_generic_select_priority_fixed_Statistics_h
-#define morpheo_behavioural_generic_select_priority_fixed_Statistics_h
+#ifndef morpheo_behavioural_generic_select_select_priority_fixed_Statistics_h
+#define morpheo_behavioural_generic_select_select_priority_fixed_Statistics_h
 
 /*
@@ -14,5 +14,5 @@
 #include "Behavioural/include/Parameters_Statistics.h"
 //#include "Behavioural/Generic/Group/include/Statistics.h"
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Parameters.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h"
 
 //using namespace morpheo::behavioural::generic::group;
@@ -22,5 +22,5 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
@@ -47,5 +47,5 @@
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Types.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Types.h	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Types.h	(revision 15)
@@ -1,4 +1,4 @@
-#ifndef morpheo_behavioural_generic_select_priority_fixed_Type_h
-#define morpheo_behavioural_generic_select_priority_fixed_Type_h
+#ifndef morpheo_behavioural_generic_select_select_priority_fixed_Type_h
+#define morpheo_behavioural_generic_select_select_priority_fixed_Type_h
 
 /*
@@ -15,9 +15,9 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
   typedef uint32_t Tentity_t;
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters.cpp	(revision 15)
@@ -6,5 +6,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Parameters.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h"
 
 namespace morpheo {
@@ -12,5 +12,5 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
@@ -23,7 +23,7 @@
     _size_entity (static_cast<uint32_t> (ceil(log2(nb_entity))))
   {
-    log_printf(FUNC,Priority_Fixed,"Parameters","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"Parameters","Begin");
     test();
-    log_printf(FUNC,Priority_Fixed,"Parameters","End");
+    log_printf(FUNC,Select_Priority_Fixed,"Parameters","End");
   };
   
@@ -34,16 +34,16 @@
     _size_entity      (param._size_entity     )
   {
-    log_printf(FUNC,Priority_Fixed,"Parameters","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"Parameters","Begin");
     test();
-    log_printf(FUNC,Priority_Fixed,"Parameters","End");
+    log_printf(FUNC,Select_Priority_Fixed,"Parameters","End");
   };
 
   Parameters::~Parameters () 
   {
-    log_printf(FUNC,Priority_Fixed,"~Parameters","Begin");
-    log_printf(FUNC,Priority_Fixed,"~Parameters","End");
+    log_printf(FUNC,Select_Priority_Fixed,"~Parameters","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"~Parameters","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters_msg_error.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters_msg_error.cpp	(revision 15)
@@ -6,6 +6,6 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Parameters.h"
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Types.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Types.h"
 #include <sstream>
 using namespace std;
@@ -15,10 +15,10 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
   string Parameters::msg_error(void)
   {
-    log_printf(FUNC,Priority_Fixed,"msg_error","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"msg_error","Begin");
 
     string msg = "";
@@ -33,8 +33,8 @@
     return msg;
 
-    log_printf(FUNC,Priority_Fixed,"msg_error","End");
+    log_printf(FUNC,Select_Priority_Fixed,"msg_error","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters_print.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters_print.cpp	(revision 15)
@@ -6,5 +6,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Parameters.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h"
 #include "Behavioural/include/XML.h"
 using namespace std;
@@ -14,13 +14,13 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
   string Parameters::print (uint32_t depth)
   {
-    log_printf(FUNC,Priority_Fixed,"print","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"print","Begin");
 
-    XML xml ("priority_fixed");
+    XML xml ("select_priority_fixed");
 
-    xml.balise_open("priority_fixed");
+    xml.balise_open("select_priority_fixed");
     xml.singleton_begin("nb_entity       "); xml.attribut("value",toString(_nb_entity       )); xml.singleton_end();
     xml.singleton_begin("encoding_one_hot"); xml.attribut("value",toString(_encoding_one_hot)); xml.singleton_end();
@@ -28,5 +28,5 @@
     xml.balise_close();
 
-    log_printf(FUNC,Priority_Fixed,"print","End");
+    log_printf(FUNC,Select_Priority_Fixed,"print","End");
     
     return xml.get_body(depth);
@@ -34,5 +34,5 @@
 
   ostream& operator<< (ostream& output_stream ,
-		       morpheo::behavioural::generic::select::priority_fixed::Parameters & x)
+		       morpheo::behavioural::generic::select::select_priority_fixed::Parameters & x)
   {
     output_stream << x.print(0);
@@ -41,5 +41,5 @@
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp	(revision 15)
@@ -6,5 +6,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 namespace morpheo                    {
@@ -12,16 +12,16 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
 #ifdef SYSTEMC
-  Priority_Fixed::Priority_Fixed (sc_module_name name,
+  Select_Priority_Fixed::Select_Priority_Fixed (sc_module_name name,
 #else
-  Priority_Fixed::Priority_Fixed (string name,
+  Select_Priority_Fixed::Select_Priority_Fixed (string name,
 #endif
 #ifdef STATISTICS
 			      morpheo::behavioural::Parameters_Statistics             param_statistics,
 #endif
-			      morpheo::behavioural::generic::select::priority_fixed::Parameters param ):
+			      morpheo::behavioural::generic::select::select_priority_fixed::Parameters param ):
 			      _name              (name)
 			      ,_param            (param)
@@ -30,8 +30,8 @@
 // #endif
   {
-    log_printf(FUNC,Priority_Fixed,"Priority_Fixed","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"Select_Priority_Fixed","Begin");
 
 #ifdef STATISTICS
-    log_printf(INFO,Priority_Fixed,"Priority_Fixed","Allocation of statistics");
+    log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Allocation of statistics");
 
     // Allocation of statistics
@@ -42,5 +42,5 @@
 
 #ifdef VHDL_TESTBENCH
-    log_printf(INFO,Priority_Fixed,"Priority_Fixed","Creation of a testbench");
+    log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Creation of a testbench");
 
     // Creation of a testbench
@@ -53,5 +53,5 @@
 #ifdef VHDL
     // generate the vhdl
-    log_printf(INFO,Priority_Fixed,"Priority_Fixed","Generate the vhdl");
+    log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Generate the vhdl");
 
     vhdl();
@@ -59,14 +59,14 @@
 
 #ifdef VHDL_TESTBENCH
-    _vhdl_testbench->set_clock    ("in_CLOCK",false);
+    _vhdl_testbench->set_clock    ("in_CLOCK",true);
 #endif
 
 #ifdef SYSTEMC
-    log_printf(INFO,Priority_Fixed,"Priority_Fixed","Allocation");
+    log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Allocation");
 
     allocation ();
 
 #if defined(STATISTICS) or defined(VHDL_TESTBENCH)
-    log_printf(INFO,Priority_Fixed,"Priority_Fixed","Method - transition");
+    log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Method - transition");
 
     SC_METHOD (transition);
@@ -75,5 +75,5 @@
 #endif
 
-    log_printf(INFO,Priority_Fixed,"Priority_Fixed","Method - genMealy_entity");
+    log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Method - genMealy_entity");
 
     SC_METHOD (genMealy_entity);
@@ -100,13 +100,13 @@
 
 #endif
-    log_printf(FUNC,Priority_Fixed,"Priority_Fixed","End");
+    log_printf(FUNC,Select_Priority_Fixed,"Select_Priority_Fixed","End");
   };
   
-  Priority_Fixed::~Priority_Fixed (void)
+  Select_Priority_Fixed::~Select_Priority_Fixed (void)
   {
-    log_printf(FUNC,Priority_Fixed,"~Priority_Fixed","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"~Select_Priority_Fixed","Begin");
 
 #ifdef VHDL_TESTBENCH
-    log_printf(INFO,Priority_Fixed,"~Priority_Fixed","Generate Testbench  file");
+    log_printf(INFO,Select_Priority_Fixed,"~Select_Priority_Fixed","Generate Testbench  file");
 
     // generate the test bench
@@ -116,5 +116,5 @@
 
 #ifdef STATISTICS
-    log_printf(INFO,Priority_Fixed,"~Priority_Fixed","Generate Statistics file");
+    log_printf(INFO,Select_Priority_Fixed,"~Select_Priority_Fixed","Generate Statistics file");
 
     _stat->generate_file(statistics(0));
@@ -124,13 +124,13 @@
 
 #ifdef SYSTEMC
-    log_printf(INFO,Priority_Fixed,"~Priority_Fixed","Deallocation");
+    log_printf(INFO,Select_Priority_Fixed,"~Select_Priority_Fixed","Deallocation");
 
     deallocation ();
 #endif
 
-    log_printf(FUNC,Priority_Fixed,"~Priority_Fixed","End");
+    log_printf(FUNC,Select_Priority_Fixed,"~Select_Priority_Fixed","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_allocation.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_allocation.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 namespace morpheo                    {
@@ -13,17 +13,16 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  void Priority_Fixed::allocation (void)
+  void Select_Priority_Fixed::allocation (void)
   {
     string rename;
 
-    log_printf(FUNC,Priority_Fixed,"allocation","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"allocation","Begin");
 
-#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
-     in_CLOCK        = new SC_CLOCK           ("in_CLOCK");
-#endif
-    
+     in_CLOCK        = new SC_CLOCK           ("in_CLOCK ");
+     in_NRESET       = new SC_IN (Tcontrol_t) ("in_NRESET");
+
      in_VAL          = new SC_IN (Tcontrol_t)           * [_param._nb_entity];
     if (_param._encoding_one_hot)
@@ -49,8 +48,8 @@
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
 
-    log_printf(FUNC,Priority_Fixed,"allocation","End");
+    log_printf(FUNC,Select_Priority_Fixed,"allocation","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_deallocation.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_deallocation.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 namespace morpheo                    {
@@ -13,14 +13,13 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  void Priority_Fixed::deallocation (void)
+  void Select_Priority_Fixed::deallocation (void)
   {
-    log_printf(FUNC,Priority_Fixed,"deallocation","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"deallocation","Begin");
 
-//#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
     delete in_CLOCK;
-//#endif
+    delete in_NRESET;
 
     for (uint32_t i=0; i<_param._nb_entity; i++)
@@ -41,8 +40,8 @@
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
 
-    log_printf(FUNC,Priority_Fixed,"deallocation","End");
+    log_printf(FUNC,Select_Priority_Fixed,"deallocation","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_genMealy_entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_genMealy_entity.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_genMealy_entity.cpp	(revision 15)
@@ -8,5 +8,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 namespace morpheo                    {
@@ -14,10 +14,10 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  void Priority_Fixed::genMealy_entity (void)
+  void Select_Priority_Fixed::genMealy_entity (void)
   {
-    log_printf(FUNC,Priority_Fixed,"genMealy_entity","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"genMealy_entity","Begin");
 
     // init 
@@ -31,10 +31,10 @@
       ack [i] = 0;
 
-    log_printf(TRACE,Priority_Fixed,"genMealy_entity","Scearch...");
+    log_printf(TRACE,Select_Priority_Fixed,"genMealy_entity","Scearch...");
     for (entity=0; entity<_param._nb_entity; entity++)
       {
 	if (PORT_READ(in_VAL [entity]) == 1)
 	  {
-	    log_printf(TRACE,Priority_Fixed,"genMealy_entity","Find! entity %d",entity);
+	    log_printf(TRACE,Select_Priority_Fixed,"genMealy_entity","Find! entity %d",entity);
 	    if (_param._encoding_one_hot)
 	      ack [entity] = 1;
@@ -54,8 +54,8 @@
 	PORT_WRITE(out_ENTITY_ACK,  find                );
       }
-    log_printf(FUNC,Priority_Fixed,"genMealy_entity","End");
+    log_printf(FUNC,Select_Priority_Fixed,"genMealy_entity","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_statistics.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_statistics.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_statistics.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 namespace morpheo {
@@ -13,19 +13,19 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  string Priority_Fixed::statistics (uint32_t depth)
+  string Select_Priority_Fixed::statistics (uint32_t depth)
   {
-    log_printf(FUNC,Priority_Fixed,"statistics","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"statistics","Begin");
 
     string txt = _stat->print(depth);
     
-    log_printf(FUNC,Priority_Fixed,"statistics","End");
+    log_printf(FUNC,Select_Priority_Fixed,"statistics","End");
 
     return txt;
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_transition.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_transition.cpp	(revision 15)
@@ -8,5 +8,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 namespace morpheo                    {
@@ -14,10 +14,10 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  void Priority_Fixed::transition (void)
+  void Select_Priority_Fixed::transition (void)
   {
-    log_printf(FUNC,Priority_Fixed,"transition","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"transition","Begin");
 
 #ifdef STATISTICS
@@ -29,8 +29,8 @@
 #endif
 
-    log_printf(FUNC,Priority_Fixed,"transition","End");
+    log_printf(FUNC,Select_Priority_Fixed,"transition","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 #include "Behavioural/include/Vhdl.h"
 
@@ -14,10 +14,10 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  void Priority_Fixed::vhdl (void)
+  void Select_Priority_Fixed::vhdl (void)
   {
-    log_printf(FUNC,Priority_Fixed,"vhdl","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl","Begin");
     Vhdl vhdl (_name);
 
@@ -29,9 +29,9 @@
 
     vhdl.generate_file();
-    log_printf(FUNC,Priority_Fixed,"vhdl","End");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl","End");
 
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_body.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_body.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 namespace morpheo                    {
@@ -13,10 +13,10 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  void Priority_Fixed::vhdl_body (Vhdl & vhdl)
+  void Select_Priority_Fixed::vhdl_body (Vhdl & vhdl)
   {
-    log_printf(FUNC,Priority_Fixed,"vhdl_body","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl_body","Begin");
     vhdl.set_body ("");
 
@@ -42,8 +42,8 @@
       }	   
     
-    log_printf(FUNC,Priority_Fixed,"vhdl_body","End");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl_body","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
